// Todo.tsx
import React from 'react';
import TodoList from './TodoList';
import TodoEdit from './TodoEdit';
import { TodoData } from './TodoData';

// Propsインタフェース
interface TodoPropsInterface {
}

// Stateインタフェース
interface TodoStateInterface {
  todoData: TodoData[];
  idCount: number;
}

class Todo extends React.Component<TodoPropsInterface, TodoStateInterface> {
  public constructor(props:TodoPropsInterface) {
    super(props);
    this.state = {
      todoData: [],
      idCount: 0,
    };
  }

  // クリック：登録
  private onClick_Submit(title:string, content:string) {
    if (title == '' || content == '') {
      alert("タイトルと本文を入力してください。");
      return;
    }

    // 日時文字列作成
    let date = new Date();
    let dateStr = date.getFullYear() + "/" + (date.getMonth() + 1) + "/" + date.getDate();
    let timeStr = date.getHours() + ":" + date.getMinutes() + ":" + date.getUTCSeconds();

    // Todoデータ追加
    let todoData = this.state.todoData.slice();
    todoData.push({
      id: this.state.idCount,
      title: title,
      content: content,
      date: dateStr,
      time: timeStr,
    });
    this.setState({
      todoData: todoData,
      idCount: this.state.idCount + 1,
    });
  }

  // 描画
  public render() {
    return (
      <div>
        <TodoEdit onClick_Submit={(t, c) => this.onClick_Submit(t, c)}/>
        <TodoList todoData={this.state.todoData} />
      </div>
    );
  }
}

export default Todo;
