// TodoEdit.tsx
import React from 'react';

// Propsインタフェース
interface TodoEditPropsInterface {
  onClick_Submit(title:string, content:string):void;
}
 
// Stateインタフェース
interface TodoEditStateInterface {
  title: string;
  content: string;
}
 
class TodoEdit extends React.Component<TodoEditPropsInterface, TodoEditStateInterface>  {

  public constructor(props: TodoEditPropsInterface) {
    super(props);
    this.state = {
      title: '',
      content: '',
    };
  }

  // フォーム変更：タイトル
  private onChange_Title(event:any) {
    this.setState({title: event.target.value});
  }

  // フォーム変更：本文
  private onChange_Content(event:any) {
    this.setState({content: event.target.value});
  }


  // 描画
  render() {
    return (
      <div className='todo-edit'>
        <div className='title'>
          <div>タイトル</div>
          <input type='text' value={this.state.title} onChange={(e) => this.onChange_Title(e)} />
        </div>
        <div className='content'>
          <div>本文</div>
          <textarea value={this.state.content} onChange={(e) => this.onChange_Content(e)} />
        </div>
        <div>
          <button>新規</button>
          <button onClick={() => this.props.onClick_Submit(this.state.title, this.state.content)} >登録</button>
        </div>  
      </div>
    );
  }
}

export default TodoEdit;
