// TodoList.tsx
import React from 'react';
import TodoItem from './TodoItem';
import { TodoData } from './TodoData';

// Propsインタフェース
interface TodoListPropsInterface {
  todoData:TodoData[];
}

// Stateインタフェース
interface TodoListStateInterface {
}


class TodoList extends React.Component<TodoListPropsInterface, TodoListStateInterface> {

  // 描画
  render() {
    const items = this.props.todoData.map((d) => {
      return <TodoItem todoData={d} />;
    });

    return (
      <div>
        <table className='todo-table'>
          <tr>
            <th>タイトル</th>
            <th>本文</th>
            <th>日付</th>
            <th>時刻</th>
            <th></th>
            <th></th>
          </tr>
          {items}
        </table>
      </div>
    )
  }
}

export default TodoList;
